Skip to main content
GET
/
checkouts
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.checkouts.get({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "id": "<string>",
  "object": "<string>",
  "status": "open",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "mode": "<string>",
  "currency": "<string>",
  "total": 123,
  "client_secret": "<string>",
  "checkout_items": [
    {
      "object": "<string>",
      "quantity": 123,
      "price_variant": "<string>",
      "product": "<string>"
    }
  ],
  "customer": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

Checkout details

id
string
required
object
string
required
status
enum<string>
required
Available options:
open,
complete,
abandoned,
expired
created_at
string<date-time>
required
updated_at
string<date-time>
required
mode
string
required
currency
string | null
required
total
number
required
client_secret
string | null
required
checkout_items
object[]
required
customer

ID by default, full object when expanded